package at.xaxa.ledger.data.db.Category

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Update
import at.xaxa.ledger.data.db.Entry.EntryEntity
import kotlinx.coroutines.flow.Flow

@Dao
interface CategoryDao {
    @Insert(onConflict = OnConflictStrategy.IGNORE)
    suspend fun addCategory(entryEntity: CategoryEntity)

    @Update
    suspend fun updateCategory(category: CharCategory)

    @Delete
    suspend fun deleteCategory(category: CharCategory)


    @Query("SELECT * FROM category WHERE _id = :id")
    suspend fun findCategoryById(id: Int) : CategoryEntity


    @Query("SELECT * FROM category")
    fun getAllCategory(): Flow<List<CategoryEntity>>
}