package at.xaxa.ledger.data.db.Entry

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Update
import kotlinx.coroutines.flow.Flow

@Dao
interface EntryDao {
    @Insert(onConflict = OnConflictStrategy.IGNORE)
    suspend fun addEntry(entryEntity: EntryEntity)

    @Update
    suspend fun updateEntry(entryEntity: EntryEntity)

    @Delete
    suspend fun deleteEntry(entryEntity: EntryEntity)


    @Query("SELECT * FROM transaction WHERE _id = :id")
    suspend fun findEntryById(id: Int) : EntryEntity


    @Query("SELECT * FROM transaction")
    fun getAllEntries(): Flow<List<EntryEntity>>
}